Bug 129050 - Samba server always case insensitive
Samba server always case insensitive
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: samba (Show other bugs)
3.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Simo Sorce
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-03 11:27 EDT by Steven Lee
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 15:21:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steven Lee 2004-08-03 11:27:31 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7) Gecko/20040629

Description of problem:
I configured the samba server to be case sensitive:

---
[root@coyote root]# testparm /etc/samba/smb.conf
Load smb config files from /etc/samba/smb.conf
Processing section "[homes]"
Processing section "[printers]"
Loaded services file OK.
Server role: ROLE_DOMAIN_MEMBER
Press enter to see a dump of your service definitions
 
# Global parameters
[global]
        workgroup = CUCS
        server string = samba server for Linux desktops
        security = SERVER
        obey pam restrictions = Yes
        password server = iago
        pam password change = Yes
        passwd program = /usr/bin/passwd %u
        passwd chat = *New*password* %n\n *Retype*new*password* %n\n
*passwd:*all*authentication*tokens*updated*successfully*
        unix password sync = Yes
        log file = /var/log/samba/%m.log
        max log size = 0
        socket options = TCP_NODELAY SO_RCVBUF=8192 SO_SNDBUF=8192
        dns proxy = No
        case sensitive = Yes
 
[homes]
        comment = Home Directories
        valid users = %S
        read only = No
        create mask = 0664
        directory mask = 0775
        mangled names = No
        browseable = No
 
[printers]
        comment = All Printers
        path = /var/spool/samba
        printable = Yes
        browseable = No
---

However, the server still behaves like it's case insensitive:

---
[slee@slap ~]$ df -h cucs
Filesystem            Size  Used Avail Use% Mounted on
//coyote.cs.cornell.edu/slee
                      942G  300G  643G  32% /home/slee/cucs
[slee@slap ~]$ ls -l cucs/test
total 45
-rwxrwxr-x    1 slee     slee            5 Aug  3 10:57 aBcD
-rwxrwxr-x    1 slee     slee        43220 Jul 13 10:34 a.out
-rwxrwxr-x    1 slee     slee           64 May  5 16:55 Makefile
-rwxrwxr-x    1 slee     slee           46 May  5 16:45 Makefile~
-rwxrwxr-x    1 slee     slee          103 May  5 16:37 test.c
[slee@slap ~]$ ls -l cucs/test/abcd
-rwxrwxr-x    1 slee     slee            5 Aug  3 10:57 cucs/test/abcd
---

I'd like the samba share to behave like a UNIX file system, but so far
I am unable to get around this case sensitivity issue.  Any ideas?


Steven

Version-Release number of selected component (if applicable):
samba-3.0.4-6.3E

How reproducible:
Always

Steps to Reproduce:
1.Set case sensitive to "yes" in /etc/samba/smb.conf
2.Mount the samba share
3.List the files in the samba share
    

Actual Results:  See description

Expected Results:  When I did "ls -l cucs/test/abcd", no file should
be found.

Additional info:
Comment 1 RHEL Product and Program Management 2007-10-19 15:21:40 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.